Bug 6116 - urpmi don't work correct with three versions of packages
: urpmi don't work correct with three versions of packages
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 20:22 MSD by Vladimir Potapov
Modified: 2015-08-27 21:45 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
install.log (276.40 KB, text/x-log)
2015-08-27 20:22 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-08-27 20:22:43 MSD
Created attachment 4245 [details]
install.log
Comment 1 Vladimir Potapov 2015-08-27 20:23:42 MSD
urpmi don't work correct with three or more versions of packages (main, update, testing + container)
Comment 2 Denis Silakov 2015-08-27 20:43:56 MSD
Advisory:
Improved perl-URPM to consider only the latest version of every package when choosing candidates to replace a conflicting package.

Build lists:
https://abf.rosalinux.ru/build_lists/2558670
https://abf.rosalinux.ru/build_lists/2558671
Comment 4 Vladimir Potapov 2015-08-27 21:38:15 MSD
perl-URPM-4.62-7
https://abf.rosalinux.ru/build_lists/2558672
https://abf.rosalinux.ru/build_lists/2558673
****************************** Advisory ***************************
Improved perl-URPM to consider only the latest version of every package when choosing candidates to replace a conflicting package.
*******************************************************************
QA Verified